Usages - List By Subscription

指定されたサブスクリプション内のすべての検索クォータ使用量の一覧を取得します。

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages?api-version=2023-11-01

URI パラメーター

名前 / 必須 型 説明
location
path True

string

Microsoft Azure の地理的リージョンの一意の場所名。

subscriptionId
path True

string

Microsoft Azure サブスクリプションの一意識別子。 この値は、Azure Resource Manager API、コマンド ライン ツール、またはポータルから取得できます。

api-version
query True

string

各要求に使用する API バージョン。

要求ヘッダー

名前 必須 型 説明
x-ms-client-request-id

string (uuid)

この要求を識別するクライアントによって生成される GUID 値。 指定した場合、これは要求を追跡する方法として応答情報に含まれます。

応答

名前 型 説明
200 OK

QuotaUsagesListResult

操作は成功しました。 応答には、特定のサブスクリプションのすべての Search クォータ使用量の一覧が含まれます。

Other Status Codes

CloudError

操作中に予期しないエラーが発生しました。

セキュリティ

azure_auth

Microsoft Entra ID OAuth2 承認フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

例

GetQuotaUsagesList

要求のサンプル

GET https://management.azure.com/subscriptions/subid/providers/Microsoft.Search/locations/westus/usages?api-version=2023-11-01

応答のサンプル

{
  "value": [
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/free",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "free",
        "localizedValue": "F - Free"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/basic",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "basic",
        "localizedValue": "B - Basic"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "standard",
        "localizedValue": "S - Standard"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard2",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "standard2",
        "localizedValue": "S2 - Standard2"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard3",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "standard3",
        "localizedValue": "S3 - Standard3"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/storageOptimizedL1",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "storageOptimizedL1",
        "localizedValue": "L1 - Storage Optimized"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/storageOptimizedL2",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "storageOptimizedL2",
        "localizedValue": "L2 - Storage Optimized"
      }
    }
  ],
  "nextLink": null
}

定義

名前 説明
CloudError

API エラーに関する情報が含まれています。

CloudErrorBody

エラー コードとメッセージを含む特定の API エラーについて説明します。

Name

Azure AI Search でサポートされている SKU の名前。

QuotaUsageResult

特定の SKU のクォータ使用量について説明します。

QuotaUsagesListResult

Azure AI Search でサポートされているすべての SKU のクォータ使用量情報を含む応答。

CloudError

API エラーに関する情報が含まれています。

名前 型 説明
error

CloudErrorBody

エラー コードとメッセージを含む特定の API エラーについて説明します。

CloudErrorBody

エラー コードとメッセージを含む特定の API エラーについて説明します。

名前 型 説明
code

string

HTTP 状態コードよりも正確にエラー状態を記述するエラー コード。 特定のエラー ケースをプログラムで処理するために使用できます。

details

CloudErrorBody[]

このエラーに関連する入れ子になったエラーが含まれています。

message

string

エラーの詳細を説明し、デバッグ情報を提供するメッセージ。

target

string

特定のエラーのターゲット (たとえば、エラーのプロパティの名前)。

Name

Azure AI Search でサポートされている SKU の名前。

名前 型 説明
localizedValue

string

SKU 名のローカライズされた文字列値。

value

string

Azure AI Search でサポートされている SKU 名。

QuotaUsageResult

特定の SKU のクォータ使用量について説明します。

名前 型 説明
currentValue

integer (int32)

特定の検索 SKU で現在使用されている値。

id

string

Microsoft.Search プロバイダーのクォータ使用量 SKU エンドポイントのリソース ID。

limit

integer (int32)

特定の検索 SKU のクォータ制限。

name

Name

Azure AI Search でサポートされている SKU の名前。

unit

string

検索 SKU の測定単位。

QuotaUsagesListResult

Azure AI Search でサポートされているすべての SKU のクォータ使用量情報を含む応答。

名前 型 説明
nextLink

string

クォータ使用量の次のページのクエリに使用できる要求 URL。 要求されたクォータ使用量の合計数が最大ページ サイズを超えた場合に返されます。

value

QuotaUsageResult[]

Azure AI Search でサポートされている SKU のクォータ使用量。